#include <WiFi.h>

// Wi-Fi credentials and server port
const char* ssid = "YOUR_WIFI_SSID_HERE";
const char* password = "YOUR_WIFI_PASSWORD_HERE";
const int serverPort = 8080;

// Motor A pin definitions
const int motor1Pin1 = 13;
const int motor1Pin2 = 12;

// Motor B pin definitions
const int motor2Pin1 = 14;
const int motor2Pin2 = 27;

// Create a WiFi server object
WiFiServer server(serverPort);

void setup() {
  // Initialize serial communication
  Serial.begin(115200);
  
  // Set motor pins as outputs
  pinMode(motor1Pin1, OUTPUT);
  pinMode(motor1Pin2, OUTPUT);
  pinMode(motor2Pin1, OUTPUT);
  pinMode(motor2Pin2, OUTPUT);
  
  // Connect to Wi-Fi
  WiFi.begin(ssid, password);
  while (WiFi.status() != WL_CONNECTED) {
    delay(1000);
    Serial.println("Connecting to WiFi...");
  }
  Serial.println("Connected to WiFi");
  Serial.print("IP address: ");
  Serial.println(WiFi.localIP());
  
  // Start the server
  server.begin();
}

void loop() {
  // Check for incoming client connections
  WiFiClient client = server.available();
  if (client) {
    while (client.connected()) {
      if (client.available()) {
        // Read the incoming command
        String commandStr = client.readStringUntil('\n');
        int command = commandStr.toInt();
        Serial.println("Command received: " + commandStr);
        
        // Control motors based on the received command
        controlMotors(command);
      }
    }
    // Disconnect the client
    client.stop();
  }
}

// Function to control motors based on received command
void controlMotors(int command) {
  switch (command) {
    case 0:
      stopMotors();
      break;
    case 1:
     //Call the left function here
      break;
    case 2:
      //Call the right function here
      break;
    case 3:
     //Call the forward function here
      break;
    case 4:
      //Call the backward function here
      break;
    default:
      Serial.println("Invalid command");
      stopMotors();
      break;
  }
}

// Function to move the robot forward
void moveForward() {
  digitalWrite(motor1Pin1, HIGH);
  digitalWrite(motor1Pin2, LOW);
  digitalWrite(motor2Pin1, HIGH);
  digitalWrite(motor2Pin2, LOW);
}

// Function to move the robot backward
void moveBackward() {
 //write robot backward action here with given graphical reference in the document
}

// Function to turn the robot right
void turnRight() {
 //write robot right action here with given graphical reference in the document
}

// Function to turn the robot left
void turnLeft() {
  //write robot left action here with given graphical reference in the document
}

// Function to stop the robot's motors
void stopMotors() {
 //write robot stop action here with given graphical reference in the document
}
